package com.air.applets.controller;

import com.air.land.entity.LandAttachment;
import com.air.land.service.LandAttachmentService;
import com.cinderella.framework.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * 小程序已挂牌地块资料文件信息管理
 *
 * @author peihao
 * @date 2021-05-18 09:39:41
 */
@RestController("applets_landAttachmentController")
@AllArgsConstructor
@RequestMapping("/applets/landAttachment")
@Api(value = "landAttachment", tags = "小程序已挂牌地块资料文件信息管理")
public class LandAttachmentController {

    private final LandAttachmentService attachmentService;

    /**
     * 通过序号和文件类型查询文件列表
     *
     * @param landListedId 已挂牌地块标识
     * @param fileType     文件类型
     * @return
     */
    @ApiOperation(value = "通过序号和文件类型查询文件列表", notes = "通过序号和文件类型查询文件列表")
    @GetMapping
    public R<List<LandAttachment>> getAuctionRecordPage(@RequestParam String landListedId, String fileType) {
        return attachmentService.getListAttachment(landListedId, fileType);
    }

}
