package com.air.applets.controller;

import com.air.land.entity.LandListedConductEnterprise;
import com.air.land.service.LandListedConductEnterpriseService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.cinderella.framework.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * 小程序已挂牌地块关联经营企业管理
 *
 * @author peihao
 * @date 2021-06-17 20:07:35
 */
@RestController("applest_LandListedConductEnterprise")
@AllArgsConstructor
@RequestMapping("/applets/landlistedconductenterprise")
@Api(value = "landlistedconductenterprise", tags = "小程序已挂牌地块关联经营企业管理")
public class LandListedConductEnterpriseController {

    private final LandListedConductEnterpriseService landListedConductEnterpriseService;

    /**
     * 通过已挂牌地块id查询经营企业
     *
     * @param landListedId 已挂牌地块id
     * @return
     */
    @ApiOperation(value = "通过已挂牌地块id查询经营企业", notes = "通过已挂牌地块id查询经营企业")
    @GetMapping("/list/{landListedId}")
    public R getLandListedConductEnterprisePage(@PathVariable String landListedId) {
        List<LandListedConductEnterprise> list = landListedConductEnterpriseService.list(Wrappers.<LandListedConductEnterprise>query()
                .lambda().eq(LandListedConductEnterprise::getLandListedId, landListedId));
        return R.ok(list, "查询成功");
    }


    /**
     * 通过id查询已挂牌地块关联经营企业
     *
     * @param conductEnterpriseId id
     * @return R
     */
    @ApiOperation(value = "通过id查询", notes = "通过id查询")
    @GetMapping("/{conductEnterpriseId}")
    public R getById(@PathVariable("conductEnterpriseId") Long conductEnterpriseId) {
        return R.ok(landListedConductEnterpriseService.getById(conductEnterpriseId));
    }
}
