package com.air.applets.controller;

import com.air.applets.dto.LandLonLatDto;
import com.air.land.entity.LandListedLonLat;
import com.air.land.service.LandListedLonLatService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.cinderella.framework.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * 小程序已挂牌地块经纬度管理
 *
 * @author peihao
 * @date 2021-05-18 09:40:04
 */
@RestController("applets_landListedLonLatController")
@AllArgsConstructor
@RequestMapping("/applets/landlistedlonlat")
@Api(value = "landlistedlonlat", tags = "小程序已挂牌地块经纬度管理")
public class LandListedLonLatController {

    private final LandListedLonLatService landListedLonLatService;

    /**
     * 经纬度列表查询
     *
     * @return
     */
    @ApiOperation(value = "通过公告序号经纬度列表查询", notes = "通过公告序号经纬度列表查询")
    @GetMapping("/list/{landListedId}")
    public R<List<LandLonLatDto>> getLandListedLonLat(@PathVariable String landListedId) {
        return R.ok(landListedLonLatService.getLandListedLonLat(landListedId), "查询成功");
    }
}
