package com.air.applets.controller;

import com.air.applets.dto.LandLonLatDto;
import com.air.land.entity.LandToListLonLat;
import com.air.land.service.LandToListLonLatService;
import com.cinderella.framework.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * 小程序拟挂牌地块经纬度
 *
 * @author peihao
 * @date 2021-05-18 09:40:15
 */
@RestController("applets_landToListLonLatController")
@AllArgsConstructor
@RequestMapping("/applets/landtolistlonlat")
@Api(value = "landtolistlonlat", tags = "小程序拟挂牌地块经纬度管理")
public class LandToListLonLatController {

    private final LandToListLonLatService landToListLonLatService;

    /**
     * 通过拟公告序号经纬度列表查询
     *
     * @return
     */
    @ApiOperation(value = "通过拟公告序号经纬度列表查询", notes = "通过拟公告序号经纬度列表查询")
    @GetMapping("/list/{proposedseriaId}")
    public R<List<LandLonLatDto>> getLandListedLonLatPage(@PathVariable String proposedseriaId) {
        return R.ok(landToListLonLatService.getLandToListLonLat(proposedseriaId), "查询成功");
    }
}
