package com.air.applets.mapper;

import com.air.applets.entity.*;
import com.air.cityarea.entity.Dazutuan;
import com.air.cityarea.entity.Huanxian;
import com.air.cityarea.entity.Xiaozutuan;
import com.air.cityarea.entity.Xingzhengqu;
import com.air.land.entity.LandListedLonLat;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 测算数据
 *
 * @author peihao
 * @date 2021/5/18
 **/
public interface AppletsMapMapper{


    /**
     * 根据定位经纬度范围行政区数据
     * @author peihao
     * @date 2021/6/7
     * @return
     **/
    List<CityAreaLonLatBase> getRegionByLocation(@Param("city") String city);

    /**
     * 根据定位经纬度范围行政区数据
     * @author peihao
     * @param lat 纬度
     * @param lon 经度
     * @param radius 范围 默认3000（3公里）
     * @date 2021/6/7
     * @return
     **/
    @MapKey("gid")
    List<Map<String, String>> getFacilitiesByLocation(@Param("lat") String lat, @Param("lon") String lon, @Param("radius") Double radius);

    /**
     * 根据定位经纬度返回5公里范围内的大组团小组团
     * @author peihao
     * @param type 组团类型（表名）
     * @date 2021/6/7
     * @return
     **/
    List<CityAreaLonLatBase> getTypeRegionByLocation(@Param("type") String type,@Param("city") String city);

    /**
     * 获取环线数据
     * @author peihao
     * @date 2021/6/7
     * @return
     **/
    List<CityAreaLonLatBase> getLoopLine(@Param("city") String city);

    /**
     * 获取拟挂牌地块数据
     * @author peihao
     * @date 2021/6/7
     * @return
     **/
    List<LandListedLonLat> getLandToList(@Param("city") String city);

    /**
     * 获取挂牌中数据
     * @author peihao
     *
     * @param nowDate 系统时间
     * @date 2021/6/7
     * @return
     **/
    List<LandListedLonLat> getLandListing(@Param("nowDate")String nowDate,@Param("city")String city);

    /**
     * 获取出让地块数据
     * @author peihao
     * @param start 开始时间
     * @param end 结束时间
     * @param nowDate 系统时间
     * @date 2021/6/7
     * @return
     **/
    List<LandListedLonLat> getLandList(@Param("start") String start , @Param("end") String end,@Param("nowDate") String nowDate,@Param("city")String city);

    List<Xingzhengqu> getXingzhengqu();

    void updateXingzhengqu(@Param("geom") String geom,@Param("id") Integer id);

    List<Huanxian> getHuanxian();

    void updateHuanxian(@Param("geom") String geom,@Param("id") Integer id);

    List<Dazutuan> getDazutuan();

    void updateDazutuan(@Param("geom") String geom,@Param("id") Integer id);

    List<Xiaozutuan> getXiaozutuan();

    void updateXiaozutuan(@Param("geom") String geom,@Param("id") Integer id);

}
