package com.air.applets.service;

import com.air.applets.entity.LandUserKeep;
import com.air.applets.entity.ViewLand;
import com.air.applets.vo.LandUserKeepVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestParam;

import javax.swing.text.html.Option;
import java.util.Optional;

/**
 * @author peihao
 * @date 2021-11-25 15:47:04
 */
public interface LandUserKeepService extends IService<LandUserKeep> {

    /**
     * 查询用户地块收藏列表
     * @author peihao
     * @param page 分页对象
     * @param landUserKeepVo 查询参数
     * @date 2021/11/26
     * @return
     **/
    IPage<ViewLand> getLandUserKeepPage(Page page, LandUserKeepVo landUserKeepVo);

    Optional<Integer> verifyCollect(String landId, Integer landType);

    /**
     * 查询当前地区是否到达20条
     * @param landId
     * @param landType
     * @return
     */
    Optional<Integer> verifyCollectNumber(String landId, Integer landType,Integer userId);

}
