package com.air.baseRegion.entity;

import com.air.cityarea.entity.CityArea;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigInteger;
import java.util.Date;

/**
 * @program: back-end
 * @description: 地区类
 * @author: cyz
 * @create: 2022-07-11 17:12
 **/
@Data
@TableName("sys_base_region")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "地区")
public class BaseRegion extends Model<BaseRegion> {
    /**
     *省市区编码
     */
   // @TableId(value = "uuid") 设置主键
    @ApiModelProperty(value = "省市区编码")
    private BigInteger regionId;
    /**
     *父级id
     */
   // @TableField(value = "uname") 设置别名
    @ApiModelProperty(value = "父级id")
    private BigInteger parRegionId;
    /**
     *省市区名称
     */
    @ApiModelProperty(value = "省市区名称")
    private String regionName;
    /**
     *层级
     */
    @ApiModelProperty(value = "层级")
    private BigInteger regionLevel;
    /**
     *类型
     */
    @ApiModelProperty(value = "类型")
    private Integer regionType;
    /**
     *说明
     */
    @ApiModelProperty(value = "说明")
    private String  regionDesc;
    /**
     *区域排序
     */
    @ApiModelProperty(value = "区域排序")
    private BigInteger regionSort;
    /**
     *长途区号
     */
    @ApiModelProperty(value = "长途区号")
    private BigInteger regionLong;
    /**
     *记录首次创建的员工标识
     */
    @ApiModelProperty(value = "记录首次创建的员工标识")
    private BigInteger createStaff;
    /**
     *记录每次修改的员工标识
     */
    @ApiModelProperty(value = "记录每次修改的员工标识")
    private BigInteger updateStaff;
    /**
     *记录实例信息创建的时间
     */
    @ApiModelProperty(value = "记录实例信息创建的时间")
    private Date createDate;
    /**
     *记录每次信息变更的时间
     */
    @ApiModelProperty(value = "记录每次信息变更的时间")
    private Date statusDate;
    /**
     *记录任何变动时，修改的时间。
     */
    @ApiModelProperty(value = "记录任何变动时，修改的时间。")
    private Date updateDate;
    /**
     *备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;



}
