package com.air.cityarea.controller;

import com.air.cityarea.entity.Dazutuan;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.cinderella.framework.common.core.util.R;
import com.cinderella.framework.common.data.mybatis.QueryPage;
import com.air.cityarea.service.DazutuanService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;


/**
 * 
 *
 * @author peihao
 * @date 2021-10-15 10:53:36
 */
@RestController
@AllArgsConstructor
@RequestMapping("/dazutuan")
@Api(value = "dazutuan", tags = "管理")
public class DazutuanController {

    private final  DazutuanService dazutuanService;

    /**
     * 分页查询
     * @param page 分页对象
     * @param dazutuan 
     * @return
     */
    @ApiOperation(value = "分页查询", notes = "分页查询")
    @GetMapping("/page")
    public R getDazutuanPage(QueryPage page, Dazutuan dazutuan) {
        return R.ok(dazutuanService.page(page.toPage(), Wrappers.query(dazutuan)));
    }


    /**
     * 通过id查询
     * @param id id
     * @return R
     */
    @ApiOperation(value = "通过id查询", notes = "通过id查询")
    @GetMapping("/{id}")
    public R getById(@PathVariable("id") Integer id) {
        return R.ok(dazutuanService.getById(id));
    }

    /**
     * 新增
     * @param dazutuan 
     * @return R
     */
    @ApiOperation(value = "新增", notes = "新增")
    @PostMapping
    public R save(@RequestBody Dazutuan dazutuan) {
        return R.ok(dazutuanService.save(dazutuan));
    }

    /**
     * 修改
     * @param dazutuan 
     * @return R
     */
    @ApiOperation(value = "修改", notes = "修改")
    @PutMapping
    public R updateById(@RequestBody Dazutuan dazutuan) {
        return R.ok(dazutuanService.updateById(dazutuan));
    }

    /**
     * 通过id删除
     * @param id id
     * @return R
     */
    @ApiOperation(value = "通过id删除", notes = "通过id删除")
    @DeleteMapping("/{id}")
    public R removeById(@PathVariable Integer id) {
        return R.ok(dazutuanService.removeById(id));
    }
}
