package com.air.cityarea.service;

import com.air.cityarea.entity.CityArea;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 城市区域配置
 *
 * @author peihao
 * @date 2021-09-06 19:11:29
 */
public interface CityAreaService extends IService<CityArea> {


    /**
     * 查询城市
     * @author peihao
     * @date 2021/9/6
     * @return
     **/
    List<String> getCity();

    /**
     * 查询城市的行政区
     * @author peihao
     * @param city 城市
     * @date 2021/9/6
     * @return
     **/
    List<String> getArea(String city);

    /**
     * 查询行政区下的大组团
     * @author peihao
     * @param area 行政区
     * @param city 城市
     * @date 2021/9/6
     * @return
     **/
    List<String> getBigGroup(String area,String city);

    /**
     * 查询大组团下的小组团
     * @author peihao
     * @param bigGroup 大组团
     * @param area 行政区
     * @param city 城市
     * @date 2021/9/6
     * @return
     **/
    List<String> getSmallGroup(String bigGroup,String area,String city);

    /**
     * 导入城市区域信息
     *
     * @param file 文件
     * @return
     * @author peihao
     * @date 2021/7/9
     **/
    boolean importCityAreaLonLatExcel(MultipartFile file);

}
