package com.air.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.cinderella.framework.common.security.util.SecurityUtils;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.context.annotation.Configuration;

import java.time.LocalDateTime;


/**
 * 自动填充处理器
 * @author peihao
 * @date 2021/6/4
 **/
@Slf4j
@Configuration
@AllArgsConstructor
public class MybatisPlusMetaObjectHandler implements MetaObjectHandler {

    @Override
    public void insertFill(MetaObject metaObject) {
        log.info("start insert fill ....");
        try {
            try {
                Integer userId = SecurityUtils.getUser().getId();
                this.strictInsertFill(metaObject, "createStaff", Long.class, Long.valueOf(userId));
            }catch (Exception e){
                log.error("增强获取用户信息失败：",e);
            }
            this.strictInsertFill(metaObject, "createDate", String.class, LocalDateTime.now().toString());
            this.strictInsertFill(metaObject, "statusDate", String.class, LocalDateTime.now().toString());
        } catch (Exception e) {
            log.error("增强失败：", e);
        }

    }

    @Override
    public void updateFill(MetaObject metaObject) {
        log.info("start update fill ....");
        try {
            try {
                Integer userId = SecurityUtils.getUser().getId();
                this.strictInsertFill(metaObject, "updateStaff", Long.class, Long.valueOf(userId));
            }catch (Exception e){
                log.error("增强获取用户信息失败：",e);
            }
            this.strictInsertFill(metaObject, "updateDate", String.class, LocalDateTime.now().toString());
        } catch (Exception e) {
            log.error("增强失败：", e);
        }

    }
}
