package com.air.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("room")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class Room extends Model<Room> {
    private static final long serialVersionUID = 1L;


    @TableId
    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "楼栋id")
    private Long buildingId;

    @ApiModelProperty(value = "数据id")
    private String dataId;

    @ApiModelProperty(value = "房籍号")
    private String fjh;

    @ApiModelProperty(value = "楼层")
    private String flr;

    @ApiModelProperty(value = "房间号")
    private String rn;

    @ApiModelProperty(value = "建筑面积")
    private BigDecimal bArea;

    @ApiModelProperty(value = "套内面积")
    private BigDecimal iArea;

    @ApiModelProperty(value = "公摊面积")
    private BigDecimal sArea;

    @ApiModelProperty(value = "结构")
    private String stru;

    @ApiModelProperty(value = "几室几厅")
    private String rType;

    @ApiModelProperty(value = "用途")
    private String use;

    @ApiModelProperty(value = "单元号")
    private Integer unitNumber;

    @ApiModelProperty(value = "位置")
    private String location;

    @ApiModelProperty(value = "房产状态，期房或现房")
    private String fState;

    @ApiModelProperty(value = "拟售单价（套内）")
    private BigDecimal nsjg;

    @ApiModelProperty(value = "拟售单价（建面）")
    private BigDecimal nsjmjg;

    @ApiModelProperty(value = "销售状态，期房、网签")
    private String roomStatus;

    @ApiModelProperty(value = "可售、不可售、已售")
    private String roomState;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;
}
