package com.air.enums;

import java.util.Arrays;
import java.util.Optional;

/**
 * 土地报告类型
 *
 * @author peihao
 * @date 2021-05-20
 **/
public enum ReportStatusEnum {

    REPORT_1000("1000","下架"),
    REPORT_1100("1100","推荐");


    private final String code;

    private final String name;

    ReportStatusEnum(String code, String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static String getName(String code){
        Optional<ReportStatusEnum> typeEnum = Arrays.stream(ReportStatusEnum.values()).filter(e -> e.getCode().equals(code)).findAny();
        if (typeEnum.isPresent()){
            return typeEnum.get().getName();
        }
        return null;
    }
}
