package com.air.enums;

import java.util.Arrays;
import java.util.Optional;

/**
 * 土地报告类型
 *
 * @author peihao
 * @date 2021-05-20
 **/
public enum ReportTypeEnum {

    PROMOTION_REPORT("promotionReport","土地推介"),
    RESEARCH_REPORT("researchReport","AIR研究"),
    FEA_STUDY_REPORT("feaStudyReport","AIR可研");


    private final String code;

    private final String name;

    ReportTypeEnum(String code, String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static String getName(String code){
        Optional<ReportTypeEnum> typeEnum = Arrays.stream(ReportTypeEnum.values()).filter(e -> e.getCode().equals(code)).findAny();
        if (typeEnum.isPresent()){
            return typeEnum.get().getName();
        }
        return null;
    }
}
