package com.air.facilities.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * @program: back-end
 * @description: 城市周边
 * @author: cyz
 * @create: 2022-07-07 15:18
 **/
@Data
@TableName("facilities")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "周边设施")
public class Facilities extends Model<Facilities> {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value="gid")
    private Integer gid;
    @ApiModelProperty(value="id")
    private Double id;
    @ApiModelProperty(value="名字")
    private String name;
    @ApiModelProperty(value="类型名称")
    private String typecn;
    @ApiModelProperty(value="备注")
    private String remark;
    @ApiModelProperty(value="经度")//经度值必须在（-180，180]范围内。正值位于本初子午线以东。
    private BigDecimal lon;
    @ApiModelProperty(value="纬度")//纬度值必须在[-90，90]范围内。正值位于赤道以北。
    private BigDecimal lat;
    @ApiModelProperty(value="类型标识")
    private String type;
    @ApiModelProperty(value="坐标点")
    private String geom;
    @ApiModelProperty(value="计算坐标对象")
    private String miniGeom;
    @ApiModelProperty(value = "省")
    private String site;
    @ApiModelProperty(value = "市")
    private String city;
    @ApiModelProperty(value = "区、县")
    private String county;
    @ApiModelProperty(value = "所在地址")
    private String address;


}
