package com.air.facilities.service;

import com.air.facilities.dto.FacilitiesDTO;
import com.air.facilities.entity.Facilities;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface FacilitiesService extends IService<Facilities> {

    /**
     * 查询全部周边信息
     * @param facilitiesDTO
     * @return
     */
    List<Facilities> selectAllFacilitiesPage(Page page, FacilitiesDTO facilitiesDTO);

    /**
     * 查询地区信息
     * @return
     */
    List<Facilities> selectAllFacilitiesRim(Page page,FacilitiesDTO facilitiesDTO);

    /**
     * 根据ID查询具体信息
     * @param id
     * @return
     */
    Facilities getFacilitiesId(String id);

    /**
     * 修改周边信息
     * @param facilities
     * @return
     */
    int putFacilities(Facilities facilities);

    /**
     * 删除周边信息
     *
     * @param ids@return
     */
    int deleteFacilities(String[] ids);

    /**
     * 删除指定城市周边信息
     * @param facilitiesDTO
     * @return
     */
    int deleteFacilitiesRim(FacilitiesDTO facilitiesDTO);

    /**
     * 添加周边信息
     * @param facilities
     * @return
     */
    int addFacilities(FacilitiesDTO facilities);

    /**
     * 查询城市市
     * @return
     */
    List<Facilities> selectTypeList();

    /**
     * 修改信息
     * @param facilitiesDTO
     * @return
     */
    int updateFacilities(FacilitiesDTO facilitiesDTO);

    /**
     * 导入周边信息
     * @param file
     * @return
     */
    int importFile(MultipartFile file) throws IOException;
}
