package com.air.feedback.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.air.feedback.entity.Feedback;

/**
 * 意见反馈
 *
 * @author fnmdx
 * @date 2021-05-25 10:50:49
 */
public interface FeedbackService extends IService<Feedback> {
    /**
     * 保存意见
     * @param feedback
     * @return Integer
     */
    Integer saveFeedBack(Feedback feedback);

    /**
     * 分页查询意见
     * @param page
     * @param feedback
     * @return Page
     */
    Page<Feedback> getFeedBackPage(Page page, Feedback feedback);

    /**
     * 修改反馈意见状态
     * @param feedback
     * @return
     */
    Integer updateFeedBack(Feedback feedback);

    /**
     *  根据id获取详情
     * @param feedbackId
     * @return Feedback
     */
    Feedback getFeedBackDetail(Long feedbackId);

    /**
     * handle
     * @param feedbackId
     * @return
     */
    Integer handleFeedBack(Long feedbackId);


}
