package com.air.housing.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * 楼栋数据处理
 * @author peihao
 * @date 2021/7/22
 **/
@Data
@EqualsAndHashCode
public class HousingDefine {

    @NotNull(message = "楼栋id不能为空")
    @ApiModelProperty(value = "楼栋id（blocks_origin表主键）")
    private Long blockId;

    @ApiModelProperty(value = "楼盘id")
    private Long housingEstateId;

    @ApiModelProperty(value = "地块id")
    private List<String> landListedId;

    @ApiModelProperty(value = "物业类型")
    private String propertyType;

    @ApiModelProperty(value = "楼盘名称")
    private String housingEstateName;

    @NotBlank(message = "大业态不能为空")
    @ApiModelProperty(value = "大业态")
    private String largeFormat;

    @NotBlank(message = "业态不能为空")
    @ApiModelProperty(value = "业态")
    private String format;
}
