package com.air.housing.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 地块楼盘关联表
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("anno_blocks_rel")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "地块楼盘关联表")
public class AnnoBlocksRel extends Model<AnnoBlocksRel> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "楼盘id")
    private Long housingEstatesId;

    @ApiModelProperty(value = "地块id")
    private String landListedId;

    @ApiModelProperty(value = "是否主要地块（0:否，1：是）")
    private Integer mainLand;

    @ApiModelProperty(value = "状态")
    private String statusCd;

    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;

    @ApiModelProperty(value = "创建人")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "修改人")
    private String updateUserId;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;
}
