package com.air.housing.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 业态信息
 *
 * @author zeb
 * @date 2021-06-09 09:13:16
 */
@Data
@TableName("`format`")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "业态信息")
public class Format extends Model<Format> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "主键，自增")
    private Long formatId;
    @ApiModelProperty(value = "楼盘id")
    private Long housingEstateId;
    @ApiModelProperty(value = "物业类型")
    private String propertyType;
    @ApiModelProperty(value = "大业态")
    private String largeFormat;
    @ApiModelProperty(value = "业态")
    @TableField(value = "`format`")
    private String format;
    @ApiModelProperty(value = "拟售总价")
    private BigDecimal preTotalPrice;
    @ApiModelProperty(value = "装修标准(字典标识)")
    private String decorationStandard;
    @ApiModelProperty(value = "业态体量")
    private BigDecimal formatSize;
    @ApiModelProperty(value = "业态首推时间")
    private LocalDateTime firstPushDate;
    @ApiModelProperty(value = "供应套数")
    private Integer supplyCount;
    @ApiModelProperty(value = "供应面积")
    private BigDecimal supplyArea;
    @ApiModelProperty(value = "成交套数")
    private Integer dealtCount;
    @ApiModelProperty(value = "成交面积")
    private BigDecimal dealtArea;
    @ApiModelProperty(value = "狭义库存")
    private BigDecimal narrowSenseStock;
    @ApiModelProperty(value = "未推库存")
    private BigDecimal unpushedStock;
    @ApiModelProperty(value = "广义库存")
    private BigDecimal broadSenseStock;
    @ApiModelProperty(value = "最近6月月均成交量")
    private Integer lastSixMonDealtCount;
    @ApiModelProperty(value = "狭义去化周期")
    private Integer narrowSenseDec;
    @ApiModelProperty(value = "广义去化周期")
    private Integer broadSenseDec;
    @ApiModelProperty(value = "状态")
    private String statusCd;
    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;
    @ApiModelProperty(value = "创建人")
    private String createUserId;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;
    @ApiModelProperty(value = "修改人")
    private String updateUserId;
    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;
    @ApiModelProperty(value = "备注")
    private String remark;
}
