package com.air.housing.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 楼盘（小区）
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("housing_estates")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "楼盘（小区）")
public class HousingEstates extends Model<HousingEstates> {
    private static final long serialVersionUID = 1L;


    @TableId
    @ApiModelProperty(value = "楼盘id")
    private Long housingEstateId;

    @ApiModelProperty(value = "楼盘名称")
    private String name;

    @ApiModelProperty(value = "状态")
    private String statusCd;

    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;

    @ApiModelProperty(value = "创建人")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "修改人")
    private String updateUserId;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;

}
