package com.air.housing.mapper;

import com.air.applets.dto.BlocksPreSaleTotalDto;
import com.air.housing.dto.BlockListDto;
import com.air.housing.entity.Blocks;
import com.air.housing.vo.HousingEstatesName;
import com.air.sysMessage.entity.SysMessage;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.math.BigDecimal;
import java.util.List;

/**
 * 楼栋信息
 *
 * @author peihao
 * @date 2021-05-18 09:39:45
 */
public interface BlocksMapper extends BaseMapper<Blocks> {

    /**
     * 根据楼盘id,大业态，小业态筛选楼栋信息
     * @param page
     * @param blockListDto
     * @return
     */
    Page<Blocks> getBlocksPageByhousingEstateId(Page page, @Param("Blocks")BlockListDto blockListDto);

    @SqlParser(filter = true)
    BlocksPreSaleTotalDto getSaleInfo(@Param("landListedId") String landListedId);

    BigDecimal getHouseAvgPrice(@Param("propertyType") String propertyType,@Param("landListedId") String landListedId);

    @SqlParser(filter = true)
    List<BlocksPreSaleTotalDto> getHouseSaleInfo(Long housingEstatesId);
}
