package com.air.housing.service;

import com.air.applets.dto.BlocksPreSaleTotalDto;
import com.air.housing.dto.BlockListDto;
import com.air.housing.entity.Blocks;
import com.air.housing.vo.BlocksVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 楼栋信息
 *
 * @author peihao
 * @date 2021-05-18 09:39:45
 */
public interface BlocksService extends IService<Blocks> {
    /**
     * query by housing_estate_id and largeFormat,format
     *
     * @param page
     * @param blockListDto
     * @return
     */
    Page<Blocks> getBlocksPageByhousingEstateId(Page page, BlockListDto blockListDto);

    BlocksPreSaleTotalDto getPreSaleTotal(String landListId);

    List<BlocksPreSaleTotalDto> getPreSaleDetailList(String landListedId,String buildingName);

    /**
     * 根据id查询业态信息
     * @param id
     * @return
     */
    BlocksVO selectCommercialActivities(Long id);

    /**
     * 修改信息
     * @param blocks
     * @return
     */
    int updateByIdBlocks(Blocks blocks);
}
