package com.air.land.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 拟挂牌地块经纬度
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("land_to_list_lon_lat")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "拟挂牌地块经纬度")
public class LandToListLonLat extends Model<LandToListLonLat> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "id（主键）")
    private Long latId;

    @ApiModelProperty(value = "拟出让序号")
    private String proposedseriaId;

    @ApiModelProperty(value = "地块编号")
    private String landCode;

    @ApiModelProperty(value = "公告对应的地块名称")
    private String name;

    @ApiModelProperty(value = "地块经纬度")
    private String landLonLat;

    @ApiModelProperty(value = "线条宽度")
    private String lineWidth;

    @ApiModelProperty(value = "线条颜色")
    private String lineColor;

    @ApiModelProperty(value = "线条不透明度")
    private String lineOpaqueness;

    @ApiModelProperty(value = "填充颜色")
    private String fillColor;

    @ApiModelProperty(value = "填充不透明度")
    private String fillOpaqueness;

    @ApiModelProperty(value = "状态")
    private String statusCd;

    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;

    @ApiModelProperty(value = "创建人")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "修改人")
    private String updateUserId;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;
}
