package com.air.land.mapper;

import com.air.applets.dto.LandDto;
import com.air.applets.dto.MeasureTrendDto;
import com.air.applets.vo.LandVo;
import com.air.land.entity.LandToList;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 拟挂牌地块，全部是用户手动管理的数据。
 *
 * @author peihao
 * @date 2021-05-18 09:40:09
 */
public interface LandToListMapper extends BaseMapper<LandToList> {


    /**
     * 查询拟挂牌数据
     * @author peihao
     * @param page 分页对象
     * @param landVo 查询参数
     * @date 2021/7/9
     * @return
     **/
    List<LandDto> appletsLandToList(Page page , @Param("landVo") LandVo landVo);

    /**
     * 获取序列
     * @author peihao
     * @date 2021/8/16
     * @return
     **/
    @SqlParser(filter = true)
    @Select("select nextval('land_to_list_id')")
    Integer selectId();

}
