package com.air.land.service;

import com.air.land.entity.AuctionRecord;
import com.air.land.vo.AuctionRecordPageVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 参拍记录表
 *
 * @author peihao
 * @date 2021-05-18 09:39:41
 */
public interface AuctionRecordService extends IService<AuctionRecord> {
    /**
     * 导入zip，多文件，未使用
     * @param file
     */
    void importRecordExcel(MultipartFile file);

    /**
     * 根据excel读取土拍记录
     * @param file
     * @return
     */
    List<AuctionRecord> readRecordExcel(MultipartFile file);

    List<List<String>> getAuctionRecord(List<Long> auctionRecordIds);


    IPage<AuctionRecord> selectPage(Page page, AuctionRecordPageVo recordPageVo);
}
