package com.air.land.service;

import com.air.applets.dto.LandDto;
import com.air.applets.dto.MeasureTrendDto;
import com.air.applets.vo.LandVo;
import com.air.land.entity.LandToList;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cinderella.framework.common.core.util.R;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 拟挂牌地块，全部是用户手动管理的数据。
 *
 * @author peihao
 * @date 2021-05-18 09:40:09
 */
public interface LandToListService extends IService<LandToList> {

    R<Boolean> sendLandList(String proposedseriaId);

    List<List<String>> getLandList(List<String> ids);

    boolean importLandToListExcel(MultipartFile file);

    List<LandDto> appletsLandToList(Page page ,LandVo landVo);

    /**
     * 获取序列
     * @author peihao
     * @date 2021/8/16
     * @return
     **/
    Integer selectId();

    /**
     * 删除拟挂牌地块及经纬度数据
     * @author peihao
     * @param landListedIds 拟挂牌id集合
     * @date 2021/9/1
     * @return
     **/
    boolean removeLandToListByIds(List<String> landListedIds);

}
