package com.air.land.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.format.NumberFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * @program: back-end
 * @description:
 * @author: cyz
 * @create: 2022-07-12 14:49
 **/
@Data
@Accessors(chain = true)
public class LandListedExcelVo {

//    @ExcelProperty("主键id")
//    private String id;
//
//    @ExcelProperty("姓名")
//    private String name;
//
//    @ExcelProperty("地址")
//    private String address;
//
//    @ExcelProperty("年龄")
//    private Integer age;
//
//    @ExcelProperty("数量")
//    private Integer number;
//
//    @NumberFormat("#.##")
//    @ExcelProperty("身高")
//    private Double high;
//
//    @ExcelProperty("距离")
//    private Double distance;
//
//    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
//    @ExcelProperty("开始时间")
//    private Date startTime;
//
//    @ExcelProperty("结束时间")
//    private Date endTime;

    @ApiModelProperty(value = "id,主键")
    private String landListedId;

    @NotBlank(message = "公告id不能为空")
    @ApiModelProperty(value = "公告id", required = true)
    private String annoId;

    @ApiModelProperty(value = "地块编号")
    @ExcelProperty("地块编号")
    private String landCode;
    @ApiModelProperty(value = "地块位置")
    @ExcelProperty("地块编号")
    private String landPosition;
    @ApiModelProperty(value = "土地用途")
    @ExcelProperty("地块编号")
    private String landUsage;
    @ApiModelProperty(value = "土地出让面积(㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal landTransferSquare;
    @ApiModelProperty(value = "土地出让面积-亩")
    @ExcelProperty("地块编号")
    private BigDecimal landTransferMu;
    @ApiModelProperty(value = "总计容建筑面积(㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal totalConsArea;
    @ApiModelProperty(value = "容积率")
    @ExcelProperty("地块编号")
    private BigDecimal plotRatio;
    @ApiModelProperty(value = "建筑密度(%)")
    @ExcelProperty("地块编号")
    private BigDecimal buildingDensity;
    @ApiModelProperty(value = "绿地率(%)")
    @ExcelProperty("地块编号")
    private BigDecimal greenSpaceRatio;
    @ApiModelProperty(value = "限高")
    @ExcelProperty("地块编号")
    private String heighPermitted;
    @ApiModelProperty(value = "出让年限")
    @ExcelProperty("地块编号")
    private String remiseYears;
    @ApiModelProperty(value = "出让价款起始价（万元）")
    @ExcelProperty("地块编号")
    private BigDecimal transferPrice;
    @ApiModelProperty(value = "起始楼面价(元/㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal startingFloorPrice;
    @ApiModelProperty(value = "竞买保证金（万元）")
    @ExcelProperty("地块编号")
    private BigDecimal bidMargin;
    @ApiModelProperty(value = "备注（业务字段）")
    @ExcelProperty("地块编号")
    private String bizRemark;
    @ApiModelProperty(value = "公告开始日期")
    @ExcelProperty("地块编号")
    private LocalDate annoDate;
    @ApiModelProperty(value = "公告截止日期")
    @ExcelProperty("地块编号")
    private LocalDate annoEndDate;
    @ApiModelProperty(value = "拍卖日期")
    @ExcelProperty("地块编号")
    private LocalDate auctionDate;
    @ApiModelProperty(value = "持证准用面积(㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal licensedArea;
    @ApiModelProperty(value = "")
    @ExcelProperty("地块编号")
    private String url;
    @ApiModelProperty(value = "商业面积(㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal bizSpace;
    @ApiModelProperty(value = "商务面积(㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal commerceSpace;
    @ApiModelProperty(value = "商业商务占比(%)")
    @ExcelProperty("地块编号")
    private BigDecimal bizCommerceRate;
    @ApiModelProperty(value = "配建-计容(㎡)")
    @ExcelProperty("地块编号")
    private String allocationCapacity;
    @ApiModelProperty(value = "配建-不计容(㎡)")
    @ExcelProperty("地块编号")
    private String allocationNotCapacity;
    @ApiModelProperty(value = "地质灾害(无,高,中,低)")
    @ExcelProperty("地块编号")
    private String geologicHazard;
    @ApiModelProperty(value = "人防还建（㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal civilAirDefence;
    @ApiModelProperty(value = "特殊条件")
    @ExcelProperty("地块编号")
    private String specialPlan;
    @ApiModelProperty(value = "装配要求")
    @ExcelProperty("地块编号")
    private String assemblyBuilding;
    @ApiModelProperty(value = "绿色要求")
    @ExcelProperty("地块编号")
    private String greenBuilding;
    @ApiModelProperty(value = "其他条件")
    @ExcelProperty("地块编号")
    private String otherConditions;
    @ApiModelProperty(value = "成品住宅比例(%)")
    @ExcelProperty("地块编号")
    private BigDecimal percentFinishedHousing;
    @ApiModelProperty(value = "竞买条件")
    @ExcelProperty("地块编号")
    private String biddingConditions;
    @ApiModelProperty(value = "勾地形式")
    @ExcelProperty("地块编号")
    private String hookForm;
    @ApiModelProperty(value = "一级治理方")
    @ExcelProperty("地块编号")
    private String firstGovernance;
    @ApiModelProperty(value = "勾地企业")
    @ExcelProperty("地块编号")
    private String landEnterprises;
    @ApiModelProperty(value = "付款节奏")
    @ExcelProperty("地块编号")
    private String paymentRhythm;
    @ApiModelProperty(value = "出让人")
    @ExcelProperty("地块编号")
    private String bargainor;
    @ApiModelProperty(value = "城市")
    @ExcelProperty("地块编号")
    private String city;
    @ApiModelProperty(value = "行政区")
    @ExcelProperty("地块编号")
    private String canton;
    @ApiModelProperty(value = "特区")
    @ExcelProperty("地块编号")
    private String specialZone;
    @ApiModelProperty(value = "环线")
    @ExcelProperty("地块编号")
    private String loopWire;
    @ApiModelProperty(value = "大组团")
    @ExcelProperty("地块编号")
    private String bigGroup;
    @ApiModelProperty(value = "小组团")
    @ExcelProperty("地块编号")
    private String smallGroup;
    @ApiModelProperty(value = "奥维定位")
    @ExcelProperty("地块编号")
    private String ovePosition;
    @ApiModelProperty(value = "经纬度（百度BD09）")
    @ExcelProperty("地块编号")
    private String lonLatBd;
    @ApiModelProperty(value = "是否成交(是,否)")
    @ExcelProperty("地块编号")
    private String deal;
    @ApiModelProperty(value = "出让方式(拍卖,挂牌,协议,其他)")
    @ExcelProperty("地块编号")
    private String transferMode;
    @ApiModelProperty(value = "受让单位")
    @ExcelProperty("地块编号")
    private String assignee;
    @ApiModelProperty(value = "拿地企业-简称")
    @ExcelProperty("地块编号")
    private String landEnterpriseShort;
    @ApiModelProperty(value = "成交价(万元)")
    @ExcelProperty("地块编号")
    private BigDecimal dealPrice;
    @ApiModelProperty(value = "成交楼面价(元/㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal dealFloorPrice;
    @ApiModelProperty(value = "参拍企业")
    @ExcelProperty("地块编号")
    private String participatingEnterprises;
    @ApiModelProperty(value = "溢价率(%)")
    @ExcelProperty("地块编号")
    private BigDecimal premiumRate;
    @ApiModelProperty(value = "商业自持比例(%)")
      @ExcelProperty("地块编号")
    private BigDecimal commercialSelfRatio;
    @ApiModelProperty(value = "商业自持年份(年)")
    @ExcelProperty("地块编号")
    private Integer commercialSelfYear;
    @ApiModelProperty(value = "住宅自持比例(%)")
    @ExcelProperty("地块编号")
    private BigDecimal homeSelfRatio;
    @ApiModelProperty(value = "住宅自持年份(年)")
    @ExcelProperty("地块编号")
    private Integer homeSelfYear;
    @ApiModelProperty(value = "无偿比例(%)")
    @ExcelProperty("地块编号")
    private BigDecimal percentUnpaid;
    @ApiModelProperty(value = "人才公寓面积(㎡)")
    @ExcelProperty("地块编号")
    private BigDecimal talenApartmentArea;
    @ApiModelProperty(value = "项目状态")
    @ExcelProperty("地块编号")
    private String projectStatus;
    @ApiModelProperty(value = "楼盘名称")
    @ExcelProperty("地块编号")
    private String buildingName;
    @ApiModelProperty(value = "项目公司")
    @ExcelProperty("地块编号")
    private String projectCompany;
    @ApiModelProperty(value = "确权时间")
    @ExcelProperty("地块编号")
    private LocalDate confirmationTime;
    @ApiModelProperty(value = "操盘企业")
    @ExcelProperty("地块编号")
    private String tradingEnterprises;
    @ApiModelProperty(value = "合作方")
    @ExcelProperty("地块编号")
    private String partner;
    @ApiModelProperty(value = "经营企业")
    @ExcelProperty("地块编号")
    private String conductEnterprise;
    @ApiModelProperty(value = "项目首开时间")
    @ExcelProperty("地块编号")
    private LocalDate firstOpenTime;
    @ApiModelProperty(value = "规划条件函")
    @ExcelProperty("地块编号")
    private String planningConditionsLetter;
    @ApiModelProperty(value = "红线图")
    @ExcelProperty("地块编号")
    private String redLineMap;
    @ApiModelProperty(value = "控规图")
    @ExcelProperty("地块编号")
    private String controlChart;
    @ApiModelProperty(value = "竞买须知")
    @ExcelProperty("地块编号")
    private String biddingNotice;
    @ApiModelProperty(value = "出让合同模板")
    @ExcelProperty("地块编号")
    private String transferContractTemplate;
    @ApiModelProperty(value = "建设方案")
    @ExcelProperty("地块编号")
    private String developmentScheme;
    @ApiModelProperty(value = "航拍图片")
    @ExcelProperty("地块编号")
    private String aerialPhoto;
    @ApiModelProperty(value = "航拍链接")
    @ExcelProperty("地块编号")
    private String aerialLink;
    @ApiModelProperty(value = "拍地记录")
    @ExcelProperty("地块编号")
    private String recordTaken;
    @ApiModelProperty(value = "其他资料")
    @ExcelProperty("地块编号")
    private String otherInfo;
}
