package com.air.land.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 已挂牌地块分页查询参数。
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@ApiModel(value = "地块分页查询参数")
public class LandListedPageVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "公告序号")
    private String annoId;
    @ApiModelProperty(value = "地块编号")
    private String landCode;
    @ApiModelProperty(value = "土地用途")
    private String landUsage;
    @ApiModelProperty(value = "公告日期")
    private String annoDate;
    @ApiModelProperty(value = "拍卖日期")
    private String auctionDate;

    @ApiModelProperty(value = "地质灾害")
    private String geologicHazard;
    @ApiModelProperty(value = "人防还建（㎡)")
    private BigDecimal civilAirDefence;
    @ApiModelProperty(value = "特殊规划")
    private String specialPlan;

    @ApiModelProperty(value = "勾地形式")
    private String hookForm;
    @ApiModelProperty(value = "勾地企业")
    private String landEnterprises;

    @ApiModelProperty(value = "城市")
    private String city;
    @ApiModelProperty(value = "行政区")
    private String canton;
    @ApiModelProperty(value = "大组团")
    private String bigGroup;
    @ApiModelProperty(value = "小组团")
    private String smallGroup;

    @ApiModelProperty(value = "受让单位")
    private String assignee;
    @ApiModelProperty(value = "拿地企业-简称")
    private String landEnterpriseShort;
    @ApiModelProperty(value = "参拍企业")
    private String participatingEnterprises;

    @ApiModelProperty(value = "项目状态")
    private String projectStatus;
    @ApiModelProperty(value = "楼盘名称")
    private String buildingName;
    @ApiModelProperty(value = "操盘企业")
    private String tradingEnterprises;
    @ApiModelProperty(value = "经营企业")
    private String conductEnterprise;
    private String systemId;

}
