package com.air.land.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 拟挂牌地块分页查询参数。
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@ApiModel(value = "拟挂牌地块分页查询参数")
public class LandToListPageVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "供地状态")
    private String supplyStatus;
    @ApiModelProperty(value = "预计挂牌时间")
    private String estimatedListingTime;

    @ApiModelProperty(value = "地块编号")
    private String landCode;
    @ApiModelProperty(value = "土地用途")
    private String landUsage;

    @ApiModelProperty(value = "地质灾害")
    private String geologicHazard;
    @ApiModelProperty(value = "人防还建（㎡)")
    private BigDecimal civilAirDefence;
    @ApiModelProperty(value = "特殊规划")
    private String specialPlan;

    @ApiModelProperty(value = "勾地形式")
    private String hookForm;
    @ApiModelProperty(value = "勾地企业")
    private String landEnterprises;
    @ApiModelProperty(value = "出让人")
    private String bargainor;

    @ApiModelProperty(value = "城市")
    private String city;
    @ApiModelProperty(value = "行政区")
    private String canton;
    @ApiModelProperty(value = "大组团")
    private String bigGroup;
    @ApiModelProperty(value = "小组团")
    private String smallGroup;

}
