package com.air.macro.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 宏观数据
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("macro_data")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "宏观数据")
public class MacroData extends Model<MacroData> {
    private static final long serialVersionUID = 1L;


    @TableId
    @ApiModelProperty(value = "数据id")
    private Long dataId;

    @ApiModelProperty(value = "年份")
    private String year;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "GDP(亿元)")
    private String gdp;

    @ApiModelProperty(value = "GDP增速(%)")
    private String gdpGrowth;

    @ApiModelProperty(value = "第一产业(亿元)")
    private String primaryIndustry;

    @ApiModelProperty(value = "第二产业(亿元)")
    private String secondIndustry;

    @ApiModelProperty(value = "第三产业(亿元)")
    private String thirdIndustry;

    @ApiModelProperty(value = "城镇常住人口(万人)")
    private String urbanResidents;

    @ApiModelProperty(value = "常住人口(万人)")
    private String resident;

    @ApiModelProperty(value = "城镇化率")
    private String urbanRate;

    @ApiModelProperty(value = "主城九区常住人口(万人)")
    private String mainUrbanResidents;

    @ApiModelProperty(value = "城镇居民人均收入(元)")
    private String urbanPerIncome;

    @ApiModelProperty(value = "城镇居民收入增速(%)")
    private String urbanIncomeIncrease;

    @ApiModelProperty(value = "房地产投资额(亿元)")
    private String realEstateInvest;

    @ApiModelProperty(value = "固定资产投资额(亿元)")
    private String fixedInvestments;

    @ApiModelProperty(value = "房地产占比(%)")
    private String perRealestate;

    @ApiModelProperty(value = "状态")
    private String statusCd;

    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;

    @ApiModelProperty(value = "创建人")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "修改人")
    private String updateUserId;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;
}
