package com.air.macro.service;

import com.air.macro.entity.MacroData;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cinderella.framework.common.data.mybatis.QueryPage;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 宏观数据
 *
 * @author peihao
 * @date 2021-05-18 09:40:26
 */
public interface MacroDataService extends IService<MacroData> {

    /**
     * 保存宏观数据
     * @param macroData
     * @return Integer
     */
    Integer saveMacroData(MacroData macroData);

    /**
     * 更新宏观数据
     * @param macroData
     * @return Integer
     */

    Integer updateMacroData(MacroData macroData);

    /**
     * 导入宏观数据
     * @param file
     */
    void importMacroData(MultipartFile file);

    /**
     * 导出选中数据
     * @param ids
     * @return
     */
    List<MacroData> exportMacroData(Long[] ids);

    /**
     * 根据id获取详情
     * @param id
     * @return
     */
    MacroData getMacroDataDetail(Long id);

    /**
     * 根据id删除
     * @param id
     * @return Integer
     */
    Integer deleteMacroData(Long id);
}
