package com.air.macro.service.impl;

import com.air.macro.entity.MacroData;
import com.air.macro.mapper.MacroDataMapper;
import com.air.macro.service.MacroDataService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.google.api.client.util.Lists;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.Arrays;
import java.util.List;

/**
 * 宏观数据
 *
 * @author peihao
 * @date 2021-05-18 09:40:26
 */
@Service
public class MacroDataServiceImpl extends ServiceImpl<MacroDataMapper, MacroData> implements MacroDataService {

    @Override
    public Integer saveMacroData(MacroData macroData) {
        return baseMapper.insert(macroData);
    }

    @Override
    public Integer updateMacroData(MacroData macroData) {
        return baseMapper.updateById(macroData);
    }

    @Override
    public void importMacroData(MultipartFile file) {

    }

    @Override
    public List<MacroData> exportMacroData(Long[] ids) {
        List<MacroData> list = Lists.newArrayList();
        Arrays.asList(ids).forEach(id -> {
            list.add(baseMapper.selectById(id));
        });
        return list;
    }

    @Override
    public MacroData getMacroDataDetail(Long id) {
        return baseMapper.selectById(id);
    }

    @Override
    public Integer deleteMacroData(Long id) {
        return baseMapper.deleteById(id);
    }
}
