package com.air.origin.dto;

import cn.hutool.core.bean.BeanUtil;
import com.air.origin.entity.BlocksOrigin;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 楼栋信息
 *
 * @author zeb
 * @date 2021-06-08 11:35:48
 */
@Data
@EqualsAndHashCode
@ApiModel(value = "楼栋信息查询条件")
public class    BlocksOriginQuery {
    @ApiModelProperty(value = "楼盘id")
    private String itemId;
    @ApiModelProperty(value = "315楼盘名称（爬虫获取的）")
    private String netName;
    @ApiModelProperty(value = "楼盘名称")
    private String name;
    @ApiModelProperty(value = "开发商")
    private String developer;
    @ApiModelProperty(value = "预售许可证号")
    private String preSaleLicenseNo;
    @ApiModelProperty(value = "状态")
    private String statusCd;
    @ApiModelProperty(value = "日期，格式yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String createDate;

    public BlocksOrigin blocksOrigin() {
        BlocksOrigin origin = new BlocksOrigin();
        BeanUtil.copyProperties(this, origin);
        return origin;
    }
}
