package com.air.origin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 房屋信息
 *
 * @author zeb
 * @date 2021-06-08 11:35:24
 */
@Data
@TableName("houses_origin")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "房屋信息")
public class HousesOrigin extends Model<HousesOrigin> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "房屋id")
    private Long houseId;
    @ApiModelProperty(value = "楼栋id")
    private Long buildingId;
    @ApiModelProperty(value = "房籍号")
    @TableField(value = "house_u_no")
    private String houseUNo;
    @ApiModelProperty(value = "楼层")
    private String floor;
    @ApiModelProperty(value = "房间号")
    private String houseNo;
    @ApiModelProperty(value = "套内面积")
    private BigDecimal sleeveArea;
    @ApiModelProperty(value = "建筑面积")
    private BigDecimal coveredArea;
    @ApiModelProperty(value = "公摊面积")
    private BigDecimal residentialPoolArea;
    @ApiModelProperty(value = "结构")
    private String buildingStruct;
    @ApiModelProperty(value = "户型")
    private String houseType;
    @ApiModelProperty(value = "使用用途")
    private String houseUsage;
    @ApiModelProperty(value = "单元户数")
    private Integer unitNum;
    @ApiModelProperty(value = "位置")
    private String housePosition;
    @ApiModelProperty(value = "房产性质")
    private String houseNature;
    @ApiModelProperty(value = "拟售单价（套内）")
    private BigDecimal sleevePrice;
    @ApiModelProperty(value = "拟售单价（建面）")
    private BigDecimal coveredPrice;
    @ApiModelProperty(value = "市场状态")
    private String marketState;
    @ApiModelProperty(value = "销售状态")
    private String saleStatus;
    @ApiModelProperty(value = "销售状态日期")
    private LocalDateTime saleDate;
    @ApiModelProperty(value = "认购状态")
    private String subscribeStatus;
    @ApiModelProperty(value = "认购状态日期")
    private LocalDateTime subscribeDate;
    @ApiModelProperty(value = "网签状态")
    private String netSignStatus;
    @ApiModelProperty(value = "网签状态日期")
    private LocalDateTime netSignDate;
    @ApiModelProperty(value = "状态")
    private String statusCd;
    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;
    @ApiModelProperty(value = "创建人")
    private String createUserId;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;
    @ApiModelProperty(value = "修改人")
    private String updateUserId;
    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "爬虫数据id,更新比对")
    private String dataId;
}
