package com.air.sysMessage.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * 系统消息
 *
 * @author fnmdx
 * @date 2021-05-25 10:52:38
 */
@Data
@TableName("sys_message")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "系统消息")
public class SysMessage extends Model<SysMessage> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "消息标识")
    private Long messageId;

    @ApiModelProperty(value = "消息类型",required = true)
    @NotBlank(message = "消息类型不能为空")
    private String messageType;

    @ApiModelProperty(value = "消息标题",required = true)
    @NotBlank(message = "消息标题不能为空")
    private String messageTitle;

    @ApiModelProperty(value = "消息内容",required = true)
    @NotBlank(message = "消息内容不能为空")
    private String messageContent;

    @ApiModelProperty(value = "状态")
    private String statusCd;

    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;

    @ApiModelProperty(value = "创建人")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "修改人")
    private String updateUserId;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;
}
